# Last seen Image

With  the new Genlogs Last Seen Image feature in carrier observation endpoint, you can receive details of the last time it was detected a truck of the carrier,  including the URL for the image,  datetime and location.   &#x20;

When the last\_seen\_image parameter is set to 'True',  the carrier observation system includes details related to the recent carrier truck detection  according to Genlogs Sensor network.

{% hint style="info" %}
The last\_seen\_image parameter is available exclusively to premium users. Reach out to us at <support@genlogs.io> now to unlock Last Seen image freight data.
{% endhint %}

In addition to the base parameters described in [Query Parameters:](/visual-sightings/carrier-observation.md#query-parameters), can be also sent the parameter

1. **last\_seen\_image** (boolean, optional): Determine if is needed to return last seen image information. Adds to the response an attribute that contains the information about the last see image for a given carrier in the Genlogs Sensor network, when the user has this functionality enabled.

{% hint style="info" %}
&#x20;If you receive a 403 error when using the last\_seen\_image parameter, it means your user account doesn't have access to this premium feature. Please verify your access level and, if necessary, contact support at <support@genlogs.io> for assistance.
{% endhint %}

In addition to the base attributes described in [Response:](/visual-sightings/carrier-observation.md#response) when the carrier observations request includes the last\_seen\_image parameter, the response will also include the following attributes

1. &#x20;**last\_seen\_image** (last\_seen\_image objects): Details of the last seen image.
   1. url: string,  address to see the image of the carrier.
   2. timestamp: datetime of the last seen image.
   3. location\_city:  city where data was captured.
   4. location\_state:  state where data was captured.

Request Example

```
curl -X GET 'https://api.genlogs.io/visual_sightings/carrier-observations?usdot_number=3481976&location_city=enfield&location_state=NC&last_seen_image=True' \
-H 'Access-Token: {access_token}' \
-H 'x-api-key: {your_api_key}' \
-i
```

{% openapi src="/files/DmT9XW13pLosW0noUyB1" path="/carrier-observations" method="get" %}
[visual\_sightings\_verify\_last\_seen\_image.json](https://2315646207-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTWLd9L6wPqgOLglGkVHP%2Fuploads%2FkAp48yteO9oMVN8GXmMb%2Fvisual_sightings_verify_last_seen_image.json?alt=media\&token=190f3bd7-a693-4736-95d1-4288af754229)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.genlogs.io/visual-sightings/carrier-observation/last-seen-image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
